PETSc version 3.15.5
Fix/Edit manual page

# PCMGGetSmootherUp

Gets the KSP context to be used as smoother after coarse grid correction (post-smoother).

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGGetSmootherUp(PC pc,PetscInt l,KSP *ksp)

Not Collective, KSP returned is parallel if PC is

### Input Parameters

| pc | - the multigrid context
| l | - the level (0 is coarsest) to supply

### Ouput Parameters

| ksp | - the smoother

### Notes

calling this will result in a different pre and post smoother so you may need to set options on the pre smoother also

### See Also

PCMGGetSmootherUp(), PCMGGetSmootherDown()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages